Subject: Re: [PATCH RESEND net] net: dsa: mv88e6xxx: Drop serdes methods for 88E6172

From: "Russell King (Oracle)" <[email-masked]>
Date: Mon, 12 Aug 2024 15:49:53 +0100

On Sun, Aug 11, 2024 at 10:07:59PM +0200, Marek Behún wrote:
> Drop serdes methods for 88E6172. This switch from the 6352 family does
> not have serdes. Until commit 85764555442f ("net: dsa: mv88e6xxx:
> convert 88e6352 to phylink_pcs") these methods were checking for serdes
> presence by looking at port's cmode, but in that commit the check was
> dropped, so now the nonexistent serdes registers are being accessed.

NAK based on commit message. See my comment on the first one for why.
  	.gpio_ops = &mv88e6352_gpio_ops,
> -	.phylink_get_caps = mv88e6352_phylink_get_caps,
> -	.pcs_ops = &mv88e6352_pcs_ops,
> +	.phylink_get_caps = mv88e6172_phylink_get_caps,
>  };
>  
>  static const struct mv88e6xxx_ops mv88e6175_ops = {
> -- 
> 2.44.2
> 
> 

-- 
*** please note that I probably will only be occasionally responsive
*** for an unknown period of time due to recent eye surgery making
*** reading quite difficult.

RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!